
From: Eric Van Hensbergen <ericvh@gmail.com>

Fix v9fs special files (block, char devices) support.

Signed-off-by: Latchesar Ionkov <lucho@ionkov.net>
Signed-off-by: Eric Van Hensbergen <ericvh@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/9p/vfs_inode.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN fs/9p/vfs_inode.c~v9fs-fix-support-for-special-files-devices-named-pipes-etc fs/9p/vfs_inode.c
--- devel/fs/9p/vfs_inode.c~v9fs-fix-support-for-special-files-devices-named-pipes-etc	2005-07-14 16:23:46.000000000 -0700
+++ devel-akpm/fs/9p/vfs_inode.c	2005-07-14 16:23:46.000000000 -0700
@@ -250,6 +250,9 @@ struct inode *v9fs_get_inode(struct supe
 		case S_IFBLK:
 		case S_IFCHR:
 		case S_IFSOCK:
+			init_special_inode(inode, inode->i_mode,
+					   inode->i_rdev);
+			break;
 		case S_IFREG:
 			inode->i_op = &v9fs_file_inode_operations;
 			inode->i_fop = &v9fs_file_operations;
_
